# Record Class ARI1CodeGeneratorParameters

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.codegen.ARI1CodeGeneratorParameters

Record Components:
  `group` - The instrument group
  `identifier` - The instrument identifier
  `version` - The version of the instrument
  `packageName` - The output package name
  `sourceFile` - The input source file
  `outputSourceDirectory` - The output source directory
  `outputResourceDirectory` - The output resource directory
  `parsers` - The instrument parsers
  `serializers` - The instrument serializers

public record ARI1CodeGeneratorParameters(ARI1DottedName group, ARI1DottedName identifier, ARI1Version version, String packageName, Path sourceFile, Path outputSourceDirectory, Path outputResourceDirectory, ARI1InstrumentParserFactoryType parsers, ARI1InstrumentSerializerFactoryType serializers) extends Record
Parameters for code generation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1CodeGeneratorParameters(ARI1DottedName group, ARI1DottedName identifier, ARI1Version version, String packageName, Path sourceFile, Path outputSourceDirectory, Path outputResourceDirectory, ARI1InstrumentParserFactoryType parsers, ARI1InstrumentSerializerFactoryType serializers)`
  Parameters for code generation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `ARI1DottedName`
  `group()`
  Returns the value of the `group` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ARI1DottedName`
  `identifier()`
  Returns the value of the `identifier` record component.
  `Path`
  `outputResourceDirectory()`
  Returns the value of the `outputResourceDirectory` record component.
  `Path`
  `outputSourceDirectory()`
  Returns the value of the `outputSourceDirectory` record component.
  `String`
  `packageName()`
  Returns the value of the `packageName` record component.
  `ARI1InstrumentParserFactoryType`
  `parsers()`
  Returns the value of the `parsers` record component.
  `ARI1InstrumentSerializerFactoryType`
  `serializers()`
  Returns the value of the `serializers` record component.
  `Path`
  `sourceFile()`
  Returns the value of the `sourceFile` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `ARI1Version`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1CodeGeneratorParameters

    public ARI1CodeGeneratorParameters(ARI1DottedName group, ARI1DottedName identifier, ARI1Version version, String packageName, Path sourceFile, Path outputSourceDirectory, Path outputResourceDirectory, ARI1InstrumentParserFactoryType parsers, ARI1InstrumentSerializerFactoryType serializers)
    Parameters for code generation.
    Parameters:
      `group` - The instrument group
      `identifier` - The instrument identifier
      `version` - The version of the instrument
      `packageName` - The output package name
      `sourceFile` - The input source file
      `outputSourceDirectory` - The output source directory
      `outputResourceDirectory` - The output resource directory
      `parsers` - The instrument parsers
      `serializers` - The instrument serializers

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### group

    public ARI1DottedName group()
    Returns the value of the `group` record component.
    Returns:
      the value of the `group` record component

  - ### identifier

    public ARI1DottedName identifier()
    Returns the value of the `identifier` record component.
    Returns:
      the value of the `identifier` record component

  - ### version

    public ARI1Version version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component

  - ### packageName

    public String packageName()
    Returns the value of the `packageName` record component.
    Returns:
      the value of the `packageName` record component

  - ### sourceFile

    public Path sourceFile()
    Returns the value of the `sourceFile` record component.
    Returns:
      the value of the `sourceFile` record component

  - ### outputSourceDirectory

    public Path outputSourceDirectory()
    Returns the value of the `outputSourceDirectory` record component.
    Returns:
      the value of the `outputSourceDirectory` record component

  - ### outputResourceDirectory

    public Path outputResourceDirectory()
    Returns the value of the `outputResourceDirectory` record component.
    Returns:
      the value of the `outputResourceDirectory` record component

  - ### parsers

    public ARI1InstrumentParserFactoryType parsers()
    Returns the value of the `parsers` record component.
    Returns:
      the value of the `parsers` record component

  - ### serializers

    public ARI1InstrumentSerializerFactoryType serializers()
    Returns the value of the `serializers` record component.
    Returns:
      the value of the `serializers` record component